#ifndef __I2CCOMM_H
#define __I2CCOMM_H

/*EEPROM Address*/
#define EEPROM_ADDRESS 0xA0



#define I2C_SSPCON SSP2CON1
#define I2C_SSPCONbits SSP2CON1bits
#define I2C_SSPCON2 SSP2CON2
#define I2C_SSPCON2bits SSP2CON2bits
#define I2C_SSPSTAT SSP2STAT
#define I2C_SSPSTATbits SSP2STATbits
#define I2C_SSPADD SSP2ADD

#define I2C_SSPIF PIR3bits.SSP2IF

#define I2C_SSPBUF SSP2BUF

#define R_W R_NOT_W
#define StartI2C(); I2C_SSPCON2bits.SEN=1;while(I2C_SSPCON2bits.SEN);
#define StopI2C()  I2C_SSPCON2bits.PEN=1;while(I2C_SSPCON2bits.PEN);
#define IdleI2C()    while ((I2C_SSPCON2 & 0x1F) | (I2C_SSPSTATbits.R_W));
#define RestartI2C()  I2C_SSPCON2bits.RSEN=1;while(I2C_SSPCON2bits.RSEN)
#define  putcI2C  WriteI2C

void I2CInit(void);
signed char putsI2C( unsigned char *wrptr );
unsigned char WriteI2C( unsigned char data_out );
unsigned char ReadI2C( void );
unsigned char ReadStringI2C2( unsigned char *rdptr, unsigned char length );
BYTE EEPROMRead(int address);
void EEPROMWrite(int address, BYTE data);
void EEPROMMultiRead(char * buffer, int address, BYTE count);

#endif