#include "TCPIPConfig.h"

#if defined(STACK_USE_HTTP2_SERVER)

#include "TCPIP Stack/TCPIP.h"
#include "LEDCommands.h"
#include "stdlib.h"

const rom BYTE CHECKED_STRING[]="checked=\"checked\"";

extern LED_TABLE LEDTable[LED_TABLE_LENGTH];
extern BYTE ActiveLEDs;


/*****************************************************************************
  Function:
	HTTP_IO_RESULT HTTPExecuteGet(void)
	
  Internal:
  	See documentation in the TCP/IP Stack API or HTTP2.h for details.
  ***************************************************************************/
HTTP_IO_RESULT HTTPExecuteGet(void)
{
	BYTE *ptrVal;
	BYTE *ptrAdd;
	BYTE *ptrCode;
	BYTE filename[20];
	

	
	// Load the file name
	// Make sure BYTE filename[] above is large enough for your longest name
	//MPFSGetFilename(curHTTP.file, filename, 20);
	
	// If the request came through sendcommand.cgi
	/* no need for this, currently only have one get file
	if(!memcmppgm2ram(filename, "sendcommand.cgi", 15))
	{*/
		LED_COMMAND command;
		ptrCode = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"code");
		ptrAdd = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"add");
		ptrVal = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"val");
		
		
		command.commandcode = (BYTE) atoi(ptrCode);
		command.param[0] = (BYTE) atoi(ptrAdd);
		command.param[1] = (BYTE) atoi(ptrVal);
		ProcessLEDCommand(&command);
	
	
	

	
	return HTTP_IO_DONE;
}

/****************************************************************************
  Section:
	Dynamic Variable Callback Functions
  ***************************************************************************/

/*****************************************************************************
  Function:
	void HTTPPrint_varname(void)
	
  Internal:
  	See documentation in the TCP/IP Stack API or HTTP2.h for details.
  ***************************************************************************/



void HTTPPrint_checkedon(void)
{
	if (VPP_ON)
	{
		TCPPutROMString(sktHTTP, (ROM void*)CHECKED_STRING);	
	}	
}

void HTTPPrint_checkedoff(void)
{
	if (!VPP_ON)
	{
		TCPPutROMString(sktHTTP, (ROM void*)CHECKED_STRING);	
	}	
}		

/*This function sends a JSON string to communicate
  the state of the LEDs to the javascript app */
void HTTPPrint_ledstatus(void)
{

	BYTE *PtrLEDTable;
	BYTE itoaBuffer[10];
	BYTE loopSize = 0;
	int i;
	
	
	
	TCPPut(sktHTTP,'[');
	TCPPut(sktHTTP, ((VPP_ON)?'1':'0'));
	TCPPut(sktHTTP, ',');
	uitoa(ActiveLEDs, itoaBuffer);
	TCPPutString(sktHTTP, itoaBuffer);
	TCPPut(sktHTTP, ',');
	loopSize = (sizeof(LEDTable[0]) * ActiveLEDs);
	PtrLEDTable = &(LEDTable[0].address);
	for(i=0; i < loopSize; i++)
	{
		uitoa(*PtrLEDTable, itoaBuffer);
		PtrLEDTable++;
		TCPPutString(sktHTTP, itoaBuffer);
		if (i != (loopSize - 1))
		{
			TCPPut(sktHTTP, ',');
		}
	}
	TCPPut(sktHTTP, ']');
}	

#endif //ifdefined(STACK_USE_HTTP2_SERVER)

