#ifndef _P2PDEFS_H_
#define _P2PDEFS_H_

#include "hardwareprofile.h"



// MAC Address
#define EUI_7 0x00
#define EUI_6 0x04
#define EUI_5 0xA3
#define EUI_4 0x01
#define EUI_3 0x00
#define EUI_2 0x00
#define EUI_1 0x00
#define EUI_0 0x00

// PIC Information
#define CLOCK_FREQ GetSystemClock()


// Device Information
#define P2P_CAPACITY_INFO 0x01
#define HARDWARE_SPI
#define PROTOCOL_P2P
#define MRF24J40
#define ENABLE_HAND_SHAKE
#define ENABLE_ED_SCAN 
#define ENABLE_ACTIVE_SCAN


// Transceiver Configuration
#define TMRL TMR0L


/*Set Interuppts for External Interrupt 2
This must be set up with PPS */
#define RFIF INTCON3bits.INT2IF
#define RFIE INTCON3bits.INT2IE
#define RFIP INTCON3bits.INT2IP

#define RF_INT_PIN PORTCbits.RC2
#define RF_INT_TRIS TRISCbits.TRISC2
#define RF_INT_PPS RPINR13

#define PHY_CS LATAbits.LATA0
#define PHY_CS_TRIS TRISAbits.TRISA0
#define PHY_RESETn LATAbits.LATA1
#define PHY_RESETn_TRIS TRISAbits.TRISA1
//#define PHY_WAKE LATAbits.LATA3
//#define PHY_WAKE_TRIS TRISAbits.TRISA3

#define FREQUENCY_BAND 2400

// Message Buffers
#define TX_BUFFER_SIZE 127
#define RX_BUFFER_SIZE 127

// Additional NWK/MAC Constants
#define MY_PAN_ID 0x12A0
#define P2P_CONNECTION_SIZE 10
#define CONNECTION_SIZE      10
#define ADDITIONAL_CONNECTION_PAYLOAD 0
#define ADDITIONAL_NODE_ID_SIZE   0


#if defined(MRF24J40)
    #define IEEE_802_15_4
    #undef MY_ADDRESS_LENGTH
    #define MY_ADDRESS_LENGTH 8
#endif

#endif
